#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2015 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Evolve database to generation 1.

Adds new student fields
"""

from zope.app.generations.utility import getRootFolder

from schooltool.basicperson.interfaces import IDemographicsFields
from schooltool.basicperson.demographics import TextFieldDescription
from schooltool.isli import IsliMessage as _


def evolve(context):
    app = getRootFolder(context)
    dfs = IDemographicsFields(app)
    if 'mother_name' not in dfs:
        dfs['mother_name'] = TextFieldDescription(
            'mother_name', _('Mother name'),
            limit_keys=['students'])
    if 'father_name' not in dfs:
        dfs['father_name'] = TextFieldDescription(
            'father_name', _('Father name'),
            limit_keys=['students'])
    if 'economic_weakness' not in dfs:
        dfs['economic_weakness'] = TextFieldDescription(
            'economic_weakness', _('Economic weakness'),
            limit_keys=['students'])
