#
# SchoolTool - common information systems platform for school administration
# Copyright (c) 2015 Shuttleworth Foundation
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
"""
Evolve database to generation 3.

Delete out of school demographics fields and update caste field
"""

from zope.app.generations.utility import getRootFolder

from schooltool.basicperson.interfaces import IDemographicsFields

from schooltool.isli import IsliMessage as _


def evolve(context):
    app = getRootFolder(context)
    dfs = IDemographicsFields(app)
    if 'out_of_school' in dfs:
        del dfs['out_of_school']
    if 'out_of_school_reason' in dfs:
        del dfs['out_of_school_reason']
    if 'caste' in dfs:
        dfs['caste'].title = _('EWS / Freeship')
        dfs['caste'].items = [
            _('ST'),
            _('SC'),
            _('OBC'),
            _('CWSN'),
            _('Orphan'),
            _('Transgender'),
        ]
        dfs['caste']._p_changed = True
